#include <QtGui>
#include <QtCore>
#include <QtSql>


#include "lecturedialog.h"
#include "lectlabel.h"
#include "connexion.h"

QString g_pathabsolu = "";
int g_increment ;
int main(int argc,char *argv[])
{
  g_increment = 0;
  QString str = "";
  QApplication application(argc,argv);
  QStringList arguments;
  arguments = application.arguments();

  if(arguments.size()==0){
      QMessageBox::critical(0,QObject::tr("fatal"),QObject::trUtf8("le path ne peut être trouvé"),QMessageBox::Abort);
  }
  QFileInfo pathinfo(arguments[0]);
  if(pathinfo.exists()){//indispensable car le path est long à trouver et ça plante pour ce logiciel !
      str = pathinfo.absolutePath();
      ::g_pathabsolu = str;}

  if(CreateConnection()==false){
      QMessageBox::critical(0,QObject::tr("fatal"),QObject::trUtf8("connexion base de donnée impossible"),QMessageBox::Abort);
      return false;
  }
  Lecturalarme *dialogue = new Lecturalarme;
  dialogue->show();

  return application.exec();
}
